> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portfobit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get portfolio equity and risk summary

> Requires `portfolio:read`. Aggregated monetary amounts use `base_currency`; risk fields are contained in `risk`.



## OpenAPI

````yaml /openapi/portfobit-openapi.yaml get /portfolios/{portfolio_id}/summary
openapi: 3.1.0
info:
  title: Portfobit Open API
  version: 0.1.0
  description: >
    Public REST API for direct API clients, CI, scripts, service accounts,
    third-party agents, and developer integrations.

    Public REST requests use scoped Portfobit Open API keys. OAuth access tokens
    issued for the Portfobit MCP resource are not accepted by `/api/v1/*`
    endpoints.

    Portfobit is crypto-CEX-only. Financial values are decimal strings and
    timestamps are RFC 3339 UTC strings.

    The API never supports withdrawals, external-address transfers,
    cross-exchange transfers, or P2P transfers.
servers:
  - url: https://api.portfobit.com/api/v1
security:
  - bearerAuth: []
tags:
  - name: Context
  - name: Accounts
  - name: Portfolios
  - name: Valuation
  - name: Activity
  - name: Trading
  - name: Market data
  - name: Support
paths:
  /portfolios/{portfolio_id}/summary:
    get:
      tags:
        - Portfolios
      summary: Get portfolio equity and risk summary
      description: >-
        Requires `portfolio:read`. Aggregated monetary amounts use
        `base_currency`; risk fields are contained in `risk`.
      operationId: getPortfolioSummary
      parameters:
        - $ref: '#/components/parameters/PortfolioId'
        - $ref: '#/components/parameters/BaseCurrency'
        - $ref: '#/components/parameters/Venue'
        - $ref: '#/components/parameters/Tag'
        - $ref: '#/components/parameters/AggregationAccountStatus'
      responses:
        '200':
          $ref: '#/components/responses/PortfolioSummaryResponse'
        '403':
          $ref: '#/components/responses/ResourcePlanLimitedResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    PortfolioId:
      name: portfolio_id
      in: path
      required: true
      schema:
        type: string
      description: Portfolio ID; `global` is the current user's all-account view.
    BaseCurrency:
      name: base_currency
      in: query
      schema:
        type: string
        default: USD
    Venue:
      name: venue
      in: query
      schema:
        type: string
      description: CEX identifier.
    Tag:
      name: tag
      in: query
      schema:
        type: string
      description: Exact, case-sensitive tag filter.
    AggregationAccountStatus:
      name: account_status
      in: query
      schema:
        type: string
        enum:
          - active
          - syncing
          - error
          - expired
          - disabled
  responses:
    PortfolioSummaryResponse:
      description: Portfolio summary response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PortfolioSummaryResponseSchema'
    ResourcePlanLimitedResponse:
      description: The targeted retained resource is unavailable on the current plan.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ResourcePlanLimitedResponseSchema'
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    PortfolioSummaryResponseSchema:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: object
          required:
            - base_currency
            - equity
            - wallet_balance
            - unrealized_pnl
            - risk
            - breakdown_by_venue
          properties:
            base_currency:
              type: string
            equity:
              type: string
            wallet_balance:
              type: string
            unrealized_pnl:
              type: string
            risk:
              type: object
              required:
                - status
                - level
                - model_version
                - as_of
                - reasons
                - metrics
              properties:
                status:
                  type: string
                level:
                  type: string
                model_version:
                  type: string
                as_of:
                  type: string
                  format: date-time
                reasons:
                  type: array
                  items:
                    type: object
                    required:
                      - code
                      - severity
                      - message
                    properties:
                      code:
                        type: string
                      severity:
                        type: string
                      message:
                        type: string
                metrics:
                  type: object
                  required:
                    - gross_exposure
                    - net_exposure
                    - margin_utilization
                    - gross_leverage
                  properties:
                    gross_exposure:
                      type: string
                    net_exposure:
                      type: string
                    margin_utilization:
                      type: string
                    gross_leverage:
                      type: string
            breakdown_by_venue:
              type: array
              items:
                type: object
                required:
                  - venue
                  - equity
                  - unrealized_pnl
                properties:
                  venue:
                    type: string
                  equity:
                    type: string
                  unrealized_pnl:
                    type: string
        meta:
          type: object
          required:
            - portfolio_id
            - base_currency
            - account_count
            - account_ids
            - data_as_of
            - price_as_of
            - is_stale
            - warnings
            - request_id
            - generated_at
          properties:
            portfolio_id:
              type: string
            base_currency:
              type: string
            account_count:
              type: integer
            account_ids:
              type: array
              items:
                type: string
            data_as_of:
              type: string
              format: date-time
            price_as_of:
              type: string
              format: date-time
            is_stale:
              type: boolean
            warnings:
              type: array
              items:
                type: object
            request_id:
              type: string
            generated_at:
              type: string
              format: date-time
      example:
        data:
          base_currency: USD
          equity: '125000.00'
          wallet_balance: '78000.00'
          unrealized_pnl: '5000.00'
          risk:
            status: available
            level: medium
            model_version: risk_v1
            as_of: '2026-08-07T08:00:00Z'
            reasons:
              - code: gross_leverage_above_2
                severity: medium
                message: Gross_leverage_is_above_2
            metrics:
              gross_exposure: '350000.00'
              net_exposure: '185000.00'
              margin_utilization: '0.36'
              gross_leverage: '2.80'
          breakdown_by_venue:
            - venue: binance
              equity: '125000.00'
              unrealized_pnl: '5000.00'
        meta:
          portfolio_id: global
          base_currency: USD
          account_count: 1
          account_ids:
            - acc_01H8XFK9A
          data_as_of: '2026-08-07T08:00:00Z'
          price_as_of: '2026-08-07T08:00:00Z'
          is_stale: false
          warnings: []
          request_id: req_01J2K8B7QW
          generated_at: '2026-08-07T08:00:01Z'
    ResourcePlanLimitedResponseSchema:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          type: object
          required:
            - code
            - message
            - details
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
              required:
                - resource_type
                - resource_id
                - current_plan
                - limit
                - upgrade_path
              properties:
                resource_type:
                  type: string
                resource_id:
                  type: string
                current_plan:
                  type: string
                limit:
                  type: integer
                upgrade_path:
                  type: string
        meta:
          type: object
          required:
            - request_id
            - generated_at
          properties:
            request_id:
              type: string
            generated_at:
              type: string
              format: date-time
      example:
        error:
          code: resource_plan_limited
          message: This portfolio is retained but unavailable on the Free plan.
          details:
            resource_type: portfolio
            resource_id: pf_01J2K7M9N3
            current_plan: Free
            limit: 3
            upgrade_path: Plus
        meta:
          request_id: req_01J2K8B7QW
          generated_at: '2026-08-08T08:00:00Z'
    ErrorEnvelope:
      type: object
      required:
        - error
        - meta
      properties:
        error:
          $ref: '#/components/schemas/Error'
        meta:
          $ref: '#/components/schemas/Meta'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: true
    Meta:
      type: object
      required:
        - request_id
        - generated_at
      properties:
        request_id:
          type: string
        generated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Portfobit Open API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.